| Class BedRecord Data structure for storing BED records. BED files allow the easy representation of intervals on the genome. Originally, they were designed for tracks in the UCSC genome browser. The original format has 12 columns but often variants using fewer columns with interpreted data are used and the rest is kept as application dependent data. The BedRecord class allows for storing BED records. The various subclasses provide access to 3, 4, 5, 6, or 12 fields of the BED format. For example, a BedRecord<Bed5> has members variables for the first 5 columns of a BED file. The remaining data is stored as the CharString member variable data.
BedRecord
Bed3 BedRecord
Bed4 BedRecord
Bed5 BedRecord
Bed6 BedRecord
Bed12 BedRecord
BedRecord<TSpec> Include Headers seqan/bed_io.h Parameters
TSpec | The specialization to use. Default: Bed12
Remarks The ref field is the name of the reference as loaded from the BED file. The rID field can be used to store a numeric reference id. When loading without using a BedIOContext, the rID field remains set to INVALID_REFID, otherwise the field is set to a different value. Note that while the BED file format is 1-based, the coordinates in the BedRecord are 0-based. Specializations
Bed3 BedRecord | BedRecord with 3 fields.
Data Members
beginPosition | Begin position on the reference.
data | Any data after the last position.
endPosition | End position on the reference.
INVALID_POS | Constant for invalid positions.
INVALID_REFID | Constant for invalid references.
ref | Name of the interval's reference (CharString).
rID | Numeric id of the interval's reference (__int32, defaults to INVALID_REFID).
Member Functions
BedRecord | Constructor.
Functions
clear | Reset BED record to state after default initialization.
readRecord | Read a record from a BedStream
writeRecord | Write a record to a BedStream
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56